aboutsummaryrefslogtreecommitdiff
path: root/util/kconfig/qconf-cfg.sh
diff options
context:
space:
mode:
authorPatrick Georgi <pgeorgi@google.com>2019-11-22 16:55:58 +0100
committerPatrick Georgi <pgeorgi@google.com>2021-07-13 20:28:14 +0000
commit53ea1d44f0435ca419de04e275e08b1bd296922c (patch)
treec1a3a39c36e9b53d0129f0e24a9a032bfea066ca /util/kconfig/qconf-cfg.sh
parent8585eabc5d5b516f46b2980a40b25f49eef5e056 (diff)
util/kconfig: Uprev to Linux 5.13's kconfig
This was originally several commits that had to be squashed into one because the intermediate states weren't able to build coreboot: - one to remove everything that wasn't our own code, leaving only regex.[ch], toada.c, description.md and Makefile.inc. - one to copy in Linux 5.13's scripts/kconfig and adapt Makefile.inc to make the original Makefile work again. - adapt abuild to use olddefconfig, simplifying matters. - apply patches in util/kconfig/patches. - Some more adaptations to the libpayload build system. The patches are now in util/kconfig/patches/, reverse applying them should lead to a util/kconfig/ tree that contains exactly the Linux version + our own 5 files. Change-Id: Ia0e8fe4e9022b278f34ab113a433ef4d45e5c355 Signed-off-by: Patrick Georgi <pgeorgi@google.com> Reviewed-on: https://review.coreboot.org/c/coreboot/+/37152 Tested-by: build bot (Jenkins) <no-reply@coreboot.org> Reviewed-by: Raul Rangel <rrangel@chromium.org>
Diffstat (limited to 'util/kconfig/qconf-cfg.sh')
-rwxr-xr-xutil/kconfig/qconf-cfg.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/util/kconfig/qconf-cfg.sh b/util/kconfig/qconf-cfg.sh
new file mode 100755
index 0000000000..fa564cd795
--- /dev/null
+++ b/util/kconfig/qconf-cfg.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+
+PKG="Qt5Core Qt5Gui Qt5Widgets"
+
+if [ -z "$(command -v pkg-config)" ]; then
+ echo >&2 "*"
+ echo >&2 "* 'make xconfig' requires 'pkg-config'. Please install it."
+ echo >&2 "*"
+ exit 1
+fi
+
+if pkg-config --exists $PKG; then
+ echo cflags=\"-std=c++11 -fPIC $(pkg-config --cflags $PKG)\"
+ echo libs=\"$(pkg-config --libs $PKG)\"
+ echo moc=\"$(pkg-config --variable=host_bins Qt5Core)/moc\"
+ exit 0
+fi
+
+echo >&2 "*"
+echo >&2 "* Could not find Qt5 via pkg-config."
+echo >&2 "* Please install Qt5 and make sure it's in PKG_CONFIG_PATH"
+echo >&2 "*"
+exit 1